\name{summary.bma.bart}
\alias{summary.bma.bart}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Summary of a bma.bart object 
}
\description{
The bma.bart object is from the bma.bart function. The summary function is to calculate the estimates, standard deviation and credible sets of the mediation effects and relative effects.
}
\usage{
\method{summary}{bma.bart}(object, ..., plot = TRUE, RE = TRUE, 
                 quant = c(0.025, 0.25, 0.5, 0.75, 0.975), 
                 digit = 4, method = 3, trim = 0.05)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{object}{
a bma.bart object created by bma.bart.
}
  \item{\dots}{
other arguments passed to the print function.
}
  \item{plot}{
default is TRUE, if ture, draw a barplot of the mediation effects with credible sets.}
  \item{RE}{
default is FALSE, if ture, show the inferences on relative mediation effects.
}
  \item{quant}{
show the quantiles defined by quant of the posterior distributions of mediation effects.
}
  \item{digit}{
the number of decimal digits to keep.
}
  \item{method}{
method=2 to show the results from the partial differences, method=3 to show the results from the G-computation, and method=4 for G-computation with non-parametric method (binary exposures only).
}
  \item{trim}{
the percentage of trims to calcuate the trimed average mediation effects. By default, trim=0.5.
}
}
\details{
Show the posterior distribution of the estimated mediation effects.
}
\value{
\item{resultX }{the mediation effect estimates using method X.}
\item{resultX.re }{the relative effect estimates using method X.}
%% ...
}
\references{
Yu, Q., and Li, B. (2025) <doi:>. "Mediation Analysis with Bayesian Additive Regression Trees," submitted.
}
\author{
Bin Li and Qingzhao Yu
}
\seealso{
\code{"\link[=bma.bart]{bma.bart}"} for examples. 
}
\keyword{ Bayesian Mediation Analysis }
\keyword{ Mediator Tests }